I have adjusted my North Elevation (using View Graphics) exactly the way I’d like it to look in elevation, and would now like to apply those same visibility adjustments to my other elevations. Is there a way I can save that view as a template and apply to other elevations, or do I instead need to create a view template, make all the adjustments to that template, then apply the template to the elevations?
How would I set up a view filter so only curtain walls are showing. Thew will not show up if walls aren't also checked, but I don't want the walls, just the curtain walls.
I was wondering how to develop a Selection Set Filter that will select only Cogo Points? I know I need to use Dxf.Start as the code, but then what's the string associated with Cogo Points? Can't find any documentation on this or any Civil 3D-unique entities...I know Line is just "Line" and "Arc" is just arc...but Polyline is the unintuitive "LWPolyline" and "Cogo Point" isn't working.
I have an issue with a view. I am unable to select my model groups with in a specific view. When I go to select a group all that is selected is an item in that group, not the entire group. There must be a setting that is turned off, as other views I can grab entire groups. Currently I have to open a 3-D view and select the group I wish to edit or change, instead of being able to select that same group on the 5th floor of my building. ( I can select the same group on the 4th floor, but I don't see any diference between the two floors?)
I have a problem where I am unsure if my upgraded template is incompatible with Revit 2013 or is there something else at play.
If I create a precast stair in default template I get "end with riser" turned on automaticaly. If I copy that stair to my template and create new stair, "end with riser" is turned off and I manually have to adjust stair afterwards.
Problem is "end with riser" is now an instance parameter of stairs and I can't find where to change the default value.
Why is the stair type that works in default template stuffed when copied to my template?
I am using Revit Arch 2011 and it is more natural for me to use shift to add to a selection and control to subtract from a selection. Can this be changed and how?
The following code filter all lines which are in the layer "0" and line weight is 0.35. But it does not. my selection set is empty.
Dim typVal(2) As TypedValue typVal(0) = New TypedValue(DxfCode.Start, "LINE") typVal(1) = New TypedValue(DxfCode.LayerName, layName) typVal(2) = New TypedValue(DxfCode.LineWeight, Convert.ToInt16(0.35)) ---------------------------------------------------------------------------------------------------------- Dim sf As SelectionFilter = New SelectionFilter(typVal) Dim ss As SelectionSet = ed.SelectAll(sf).Value
We have our first project in Revit that we are having to split among multiple sheets because of the size of the building, so I have made 3 dependent views from the main overall view, named them, cropped them and placed each part (A,B, and C) on separate sheets. Now that I am trying to do enlarged toilet plan views, I want to tag the plans with the plan callouts on the 1/8” sheets that are the dependent views, but all the view tags are referencing dependent view A since it is the first dependent view in the list. If I change sheet A to be named Sheet X for instance, all the view tags now reference sheet B since that becomes the first dependent view alphabetically. I want them to reference the sheet they appear in, but I can’t seem to figure out how to do that, even though they are in different dependent views completely and within the crop region, they all default to the first dependent view in alphabetical order.
I am a new user to this may seem simple. When I render a 3D view the roof disappears in the render view, but when I switch to show the model it is there.
I'm trying to select two specific types of blocks from a drawing so that I can create layouts for each one of the pairs of blocks in my drawing. Basically, one block is the outline of the piece of the drawing and the second contains information about the drawing. I would like to select all of the outline blocks and then create a selection to get the second block which is inside the bounds of the first block.
I'm not sure how to create a set of typed values to do this. Here is my code so far which sets up a filter to get the first block and then for each of the blocks that it finds, it would select the block with all of the information which is where I am having problems. I don't know how to create a filter based upon location of the block.
using (Transaction tr = acCurDb.TransactionManager.StartTransaction()) { filList = new TypedValue[] { new TypedValue((int)DxfCode.Operator,"<and"), new TypedValue((int)DxfCode.Start,"INSERT"), new TypedValue((int)DxfCode.BlockName,"D-1*"), new TypedValue((int)DxfCode.Operator,"and>")}; // Build a filter list so that only block references are selected filter = new SelectionFilter(filList); //Select all res = [code]........
I'm using a typed value list to create a selection filter to use with Editor.SelectAll(filter) method. The selection returns both frozen & un-frozen entities. Is there a way to filter out frozen objects using the filter?
I have a 3D view and when I turn on the clip boundary everything disappears, which leads me to believe that the clip boundary is off to the side somewhere. I zoom out & out, but can't find it.
Is there a way of resetting it? I could just make a new view, but I'd have to set the perspective again.
In this view I have hidden all the objects except for the one (a book case) that is being detailed. Every time I model something new it shows up in this view. Is there anyway of stopping new objects showing in a given view?
Why Camera Views is different from all other views in Revit. It is simple not possible to add a view reference, or a tag etc. to reference to a camera view.
Of course I can put in a 'dead' symbol to show where it is in plans, but that's simply not the same...
I'm trying to use a Selection Filter on Block Reference XData value. But I get no hits, it works fine with Lines and Polylines that has the same kind of XData.
Is it a bug or do I have to define my Selection Filter differently when working with Block Reference?
Here is a part of the code :
TypedValue[] flt = new TypedValue[] { new TypedValue(-4, " new TypedValue(-4, " new TypedValue(8, "POLYLINE_LAYER"), new TypedValue(1001, "Object_Id"), new TypedValue(1000, "166448"), new TypedValue(-4, "AND>"), [code].......
I'm putting together some quick function that I can send 2 arguments and get from it the total area of a given hatch on the given layer. I think everything is in order but I'm having trouble with the selection set filter:
(DEFUN GET-HATCH-AREA (HATCH LAYR / area sset) (COND((AND(ssget "X" '((0 . "HATCH") (2 . HATCH) (8 . LAYR))) (SETQ area 0) (VLAX-FOR H (SETQ sset (VLA-GET-ACTIVESELECTIONSET (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT)))) (SETQ area (+ (VLA-GET-AREA h) area))) (ALERT(STRCAT "Total area = " (IF (OR (= (GETVAR "lunits") 3) (= (GETVAR "lunits") 4) ) (STRCAT (RTOS area 2) " sq. in. (" (RTOS (/ area 144) 2) " sq. ft.)") (RTOS area) ) ) ) (VLA-DELETE sset) ) ) ))
I converted a drawing in pdf format into dxf. I'm using Autocad 2012 to edit the file. The dxf conversion is good, but of course there is no difference between the diffent kind of lines.
I would like to select all lines which have an orientation of 30° with the horizontal and put them into a new layer. Is there a way to do that ? I though about using a filter.
Then I will edit the properties oh those lines (color, thickness, type....).
Any settings where you can switch on/off the selection filter popup? Mine is just gone. Under application options I don't see anything to do with switching it off.
I have a problem with selecting all references to a specific dynamic block. When I use the filter below only block “D2” is selected, which is not a dynamic block, Block "Bulb120227” which is a dyn block is not
Dim values() As TypedValue = { _ New TypedValue(0, "INSERT"), _ New TypedValue(-4, "<OR"), _ New TypedValue(2, "D2"), _ New TypedValue(2, "Bulb120227"), _ New TypedValue(-4, "OR>") _ }
How should the filter be done to filter out the dyn block that I want several block should be filtered out in one selection.If it is possible to achieve with just a filter at all?
I have made an exploded view and placed it an a drawing. I would like to view inside one of the bodies to show where the exploded internals sit, however when I do a break out of the body the trail lines from the exploded internals also get sectioned. Is there a way to control the sectional properties of a trail line?